/*
Override variable defaults
==================================================
This file is used to override default SCSS variables from the Shopware Storefront or Bootstrap.

Because of the !default flags, theme variable overrides have to be declared beforehand.
https://getbootstrap.com/docs/4.0/getting-started/theming/#variable-defaults
*/

$spacer: 1rem !default;
$spacers: () !default;
$spacers: map-merge(
  (
    0: 0,
    1: ($spacer * .25),
    2: ($spacer * .5),
    3: $spacer,
    4: ($spacer * 1.5),
    5: ($spacer * 3),
    6: ($spacer * 4),
    7: ($spacer * 5),
    8: ($spacer * 6),
    9: ($spacer * 7),
    10: ($spacer * 8)
  ),
  $spacers
);

$font-weight-normal: 300;
$headings-font-weight: $font-weight-normal;
$enable-responsive-font-sizes: true;
$border-radius: 5px;
$border-radius-lg: 10px;
$h2-font-size: 48px;

$font-size-base:1.063rem;
$purple:  #732038;

// Color system
$gray-100: #f9f9f9 !default;
$gray-200: #eee !default;
$gray-300: #bcc1c7 !default;
$gray-600: #888888;
$gray-800: #4a545b !default;
$darkblue: #162b4e;

$primary: $sw-color-brand-primary;
$secondary: $sw-color-brand-secondary;

$success: $sw-color-success;
$info: $sw-color-info;
$warning: $sw-color-warning;
$danger: $sw-color-danger;

$light: $gray-100;
$dark: $gray-800;

$theme-colors: () !default;
// stylelint-disable-next-line scss/dollar-variable-default
$theme-colors: map-merge(
  (
    "primary":    $primary,
    "secondary":  $secondary,
    "success":    $success,
    "info":       $info,
    "warning":    $warning,
    "danger":     $danger,
    "light":      $light,
    "dark":       $dark,
    "purple":	$purple,
    "darkblue": $darkblue
  ),
  $theme-colors
);